Attribute VB_Name = "mMouse"
Option Explicit

Private Declare Sub mouse_event Lib "user32" (ByVal dwFlags As Long, ByVal dx As Long, ByVal dy As Long, ByVal cButtons As Long, ByVal dwExtraInfo As Long)
Private Declare Function SetCursorPos Lib "user32" (ByVal x As Long, ByVal y As Long) As Long

Private Const MOUSEEVENTF_LEFTDOWN = &H2
Private Const MOUSEEVENTF_LEFTUP = &H4
Private Const MOUSEEVENTF_RIGHTDOWN = &H8
Private Const MOUSEEVENTF_RIGHTUP = &H10

Sub MoveMouse(x As Long, y As Long)
  SetCursorPos x, y
End Sub

Sub LeftClick(x As Long, y As Long)
  mouse_event MOUSEEVENTF_LEFTDOWN, x, y, 0, 0
  mouse_event MOUSEEVENTF_LEFTUP, x, y, 0, 0
End Sub

Sub RightClick(x As Long, y As Long)
  mouse_event MOUSEEVENTF_RIGHTDOWN, x, y, 0, 0
  mouse_event MOUSEEVENTF_RIGHTUP, x, y, 0, 0
End Sub

Sub DblClick(x As Long, y As Long)
  mouse_event MOUSEEVENTF_LEFTDOWN, x, y, 0, 0
  mouse_event MOUSEEVENTF_LEFTUP, x, y, 0, 0
  mouse_event MOUSEEVENTF_LEFTDOWN, x, y, 0, 0
  mouse_event MOUSEEVENTF_LEFTUP, x, y, 0, 0
End Sub

